class Locmare.FormModule.FieldModule.TagModule.NumberTag extends Locmare.FormModule.FieldModule.TagModule.Base
  events: {
    'change': 'change'
  }
  
  initialize: (options) ->
    super(options)
  
  render: () ->
    this.$el.html('')
    @attr = {
      type: 'number',
      name: @form_field_name(),
      value: @value()
    }
    _.extend(@attr, @options())
    this.$el.attr(@attr)
    this
  
  change: () ->
    @field.helpers.refresh()
    @field.trigger('change')
  
  val: () ->
    parseInt(super)
  
