class Locmare.FormModule.FieldModule.TagModule.TextAreaTag extends Locmare.FormModule.FieldModule.TagModule.Base
  tagName: 'textarea'
  events: {
    'change': 'change'
  }
  
  render: () ->
    this.$el.html('')
    @attr = {
      name: @form_field_name(),
    }
    if sz = @tag_manifest.options['size']
      r = sz.split('x')
      @tag_manifest.options['cols'] = r[0]
      @tag_manifest.options['rows'] = r[1]
      delete @tag_manifest.options['size']
    _.extend(@attr, @options())
    this.$el.attr(@attr)
    this.$el.val(@value())
    this
  
  change: () ->
    @field.trigger('change')
  
