class Manifest.ModelModule.Attribute extends ManifestBase.NameValues
  
  set_default: () ->
    super()
    ManifestBase.alert_undefined_message 'type', @module_message() if not @values['type']
    @values['primary_key'] ||= 0
    @values['rules'] ||= {}
    
  init: () ->
    super()
    @type = @values['type']  # do not remove
    @primary_key = @values['primary_key']
    @rules = @values['rules']
    if @values['source']
      @source = ManifestBase.load_type_args this, @values, 'source', Manifest.ModelModule.AttributeModule.SourceFactory
  
  item_name: () ->
    @parent.item_name()
  
class Manifest.ModelModule.AttributeModule
