class Pettanr.GroundColor extends Peta.Element
  url: '/ground_colors/'
  
  @singular: () ->
    'GroundColor'
  
  @plural: () ->
    'GroundColors'
  
  defaults: {
    id: null,
    code: 0,
  } 
  
  @has_picture: () ->
    false
  
  @pick_item_name: () ->
    ''
  
  @pick_model: () ->
    Manifest.item_name_to_model(@pick_item_name())
  
  @traceable_item_names: () ->
    []
  
  @is_traceable: (item_name) ->
    _.contains(@traceable_item_names(), item_name)
  
  panel: (options = {}) ->
    new Pettanr.Panel({id: @get('panel_id')}, options)
  
  element_face: () ->
    new Pettanr.Views.GroundColor.ElementFace({element: this})
  
  initialize: (attr, options) ->
    super(attr, options)
    if @id
      @url = @url + @id
  
