// This is a manifest file that'll be compiled into including all the files listed below.
// Add new JavaScript/Coffee code in separate files in this directory and they'll automatically
// be included in the compiled file accessible from http://example.com/assets/application.js
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// the compiled file.
//
//= require jquery
//= require jquery_ujs
//= require jquery-ui
//require jquery.validate
//require additional-methods
//require jquery.validate.localization/messages_ja
//= require rails-timeago
//= require locales/jquery.timeago.ja.js
//= require textchange
//= require underscore
//= require json2
//= require backbone
//= require i18n
//= require ./tags
//= require ./manifest_base/manifest_base
//= require ./manifest_base/base
//= require ./manifest_base/factory
//= require ./manifest_base/values
//= require ./manifest_base/name_values
//= require ./manifest_base/type_args
//= require ./manifest_base/type_name_args
//= require ./manifest_base/names
//= require ./manifest/manifest
//= require ./manifest/item
//= require ./manifest/item/boost
//= require ./manifest/item/base
//= require ./manifest/item/item
//= require ./manifest/item/owner
//= require ./manifest/item/system_resource
//= require ./manifest/item/template
//= require ./manifest/item/content
//= require ./manifest/item/root
//= require ./manifest/item/element
//= require ./manifest/item/binder
//= require ./manifest/item/leaf
//= require ./manifest/system_resource
//= require ./manifest/system_resource/template
//= require ./manifest/controller
//= require ./manifest/controller/action
//= require ./manifest/controller/action/base
//= require ./manifest/controller/action/list
//= require ./manifest/controller/action/show
//= require ./manifest/controller/action/new
//= require ./manifest/controller/action/edit
//= require ./manifest/controller/action/create
//= require ./manifest/controller/action/update
//= require ./manifest/controller/action/destroy
//= require ./manifest/model
//= require ./manifest/model/attribute
//= require ./manifest/model/attribute/source
//= require ./manifest/model/attribute/source/base
//= require ./manifest/model/attribute/source/model
//= require ./manifest/model/attribute/source/filter
//= require ./manifest/model/attribute/source/magic_number
//= require ./manifest/model/association
//= require ./manifest/model/association/belongs_to
//= require ./manifest/model/association/has_many
//= require ./manifest/model/association/has_one
//= require ./local_manifest/local_manifest
//= require ./local_manifest/profiler
//= require ./local_manifest/profiler/column
//= require ./local_manifest/profiler/column/base
//= require ./local_manifest/profiler/column/default
//= require ./local_manifest/profiler/column/date
//= require ./local_manifest/profiler/column/source
//= require ./local_manifest/profiler/column/extend
//= require ./local_manifest/profiler/column/json
//= require ./local_manifest/profiler/extend_setting
//= require ./local_manifest/profiler/extend_setting/column
//= require ./local_manifest/profiler/extend_setting/column/base
//= require ./local_manifest/profiler/extend_setting/column/default
//= require ./local_manifest/profiler/list
//= require ./local_manifest/profiler/association
//= require ./local_manifest/profiler/association/belongs_to
//= require ./local_manifest/profiler/association/has_many
//= require ./local_manifest/profiler/association/has_one
//= require ./local_manifest/filer
//= require ./local_manifest/filer/symbol
//= require ./local_manifest/filer/symbol/base
//= require ./local_manifest/filer/symbol/default
//= require ./local_manifest/filer/symbol/default/face
//= require ./local_manifest/filer/symbol/default/face/base
//= require ./local_manifest/filer/symbol/default/face/image
//= require ./local_manifest/filer/symbol/default/face/picture
//= require ./local_manifest/filer/symbol/default/link
//= require ./local_manifest/filer/symbol/default/link/base
//= require ./local_manifest/filer/symbol/default/link/action
//= require ./local_manifest/filer/symbol/default/link/none
//= require ./local_manifest/filer/symbol/default/link/url_column
//= require ./local_manifest/filer/symbol/template
//= require ./local_manifest/filer/caption
//= require ./local_manifest/filer/caption/base
//= require ./local_manifest/filer/caption/default
//= require ./local_manifest/filer/caption/default/face
//= require ./local_manifest/filer/caption/default/face/base
//= require ./local_manifest/filer/caption/default/face/column
//= require ./local_manifest/filer/caption/default/face/method
//= require ./local_manifest/filer/caption/default/link
//= require ./local_manifest/filer/caption/default/link/base
//= require ./local_manifest/filer/caption/default/link/action
//= require ./local_manifest/filer/caption/default/link/none
//= require ./local_manifest/filer/caption/default/link/url_column
//= require ./local_manifest/filer/caption/none
//= require ./local_manifest/filer/caption/template
//= require ./local_manifest/filer/summary
//= require ./local_manifest/filer/summary/base
//= require ./local_manifest/filer/summary/template
//= require ./local_manifest/filer/summary/none
//= require ./local_manifest/filer/icon
//= require ./local_manifest/filer/icon/base
//= require ./local_manifest/filer/icon/default
//= require ./local_manifest/filer/date
//= require ./local_manifest/filer/date/base
//= require ./local_manifest/filer/date/default
//= require ./local_manifest/filer/edit
//= require ./local_manifest/filer/edit/base
//= require ./local_manifest/filer/edit/default
//= require ./local_manifest/filer/edit/none
//= require ./local_manifest/filer/edit/template
//= require ./local_manifest/filer/edit/account
//= require ./local_manifest/filer/button
//= require ./local_manifest/filer/button/base
//= require ./local_manifest/filer/button/default
//= require ./local_manifest/form
//= require ./local_manifest/form/use
//= require ./local_manifest/form/use/field
//= require ./local_manifest/form/use/field/tag
//= require ./local_manifest/form/use/field/tag/base
//= require ./local_manifest/form/use/field/tag/text
//= require ./local_manifest/form/use/field/tag/number
//= require ./local_manifest/form/use/field/tag/text_area
//= require ./local_manifest/form/use/field/tag/select
//= require ./local_manifest/form/use/field/tag/hidden
//= require ./local_manifest/form/use/field/label
//= require ./local_manifest/form/use/field/label/base
//= require ./local_manifest/form/use/field/label/default
//= require ./local_manifest/form/use/field/label/none
//= require ./local_manifest/form/use/field/helper
//= require ./local_manifest/form/use/field/helper/base
//= require ./local_manifest/form/use/field/helper/size
//= require ./local_manifest/form/use/field/helper/tail_angle
//= require ./local_manifest/form/use/field/helper/color
//= require ./local_manifest/form/use/field/helper/popup
//= require ./local_manifest/form/use/element_field
//= require ./local_manifest/form/use/part_field
//= require ./local_manifest/list_group
//= require ./local_manifest/list_group/list
//= require ./local_manifest/list_group/list/base
//= require ./local_manifest/list_group/list/public
//= require ./local_manifest/list_group/list/private
//= require ./local_manifest/list_group/list/system_resource
//= require ./local_manifest/list_group/list/filter
//= require ./local_manifest/list_group/list/through_filter
//= require ./local_manifest/list_group/list/foreign_filter
//= require ./local_manifest/list_group/list/play
//= require ./local_manifest/bucket
//= require ./local_manifest/bucket/member
//= require ./local_manifest/bucket/form_field_name
//= require ./locmare/locmare
//= require ./locmare/booster
//= require ./locmare/filer
//= require ./locmare/filer/header
//= require ./locmare/filer/body
//= require ./locmare/filer/body/file_header
//= require ./locmare/filer/body/file_header/base
//= require ./locmare/filer/body/file_header/show
//= require ./locmare/filer/body/file_header/none
//= require ./locmare/filer/body/file_body
//= require ./locmare/filer/body/file_body/file_item
//= require ./locmare/filer/body/file_body/file_item/symbol
//= require ./locmare/filer/body/file_body/file_item/symbol/base
//= require ./locmare/filer/body/file_body/file_item/symbol/default
//= require ./locmare/filer/body/file_body/file_item/symbol/default/face
//= require ./locmare/filer/body/file_body/file_item/symbol/default/face/base
//= require ./locmare/filer/body/file_body/file_item/symbol/default/face/image
//= require ./locmare/filer/body/file_body/file_item/symbol/default/face/picture
//= require ./locmare/filer/body/file_body/file_item/symbol/default/link
//= require ./locmare/filer/body/file_body/file_item/symbol/default/link/base
//= require ./locmare/filer/body/file_body/file_item/symbol/default/link/action
//= require ./locmare/filer/body/file_body/file_item/symbol/default/link/url_column
//= require ./locmare/filer/body/file_body/file_item/symbol/default/link/none
//= require ./locmare/filer/body/file_body/file_item/symbol/template
//= require ./locmare/filer/body/file_body/file_item/caption
//= require ./locmare/filer/body/file_body/file_item/caption/base
//= require ./locmare/filer/body/file_body/file_item/caption/default
//= require ./locmare/filer/body/file_body/file_item/caption/default/face
//= require ./locmare/filer/body/file_body/file_item/caption/default/face/base
//= require ./locmare/filer/body/file_body/file_item/caption/default/face/column
//= require ./locmare/filer/body/file_body/file_item/caption/default/face/method
//= require ./locmare/filer/body/file_body/file_item/caption/default/face/none
//= require ./locmare/filer/body/file_body/file_item/caption/default/link
//= require ./locmare/filer/body/file_body/file_item/caption/default/link/base
//= require ./locmare/filer/body/file_body/file_item/caption/default/link/action
//= require ./locmare/filer/body/file_body/file_item/caption/default/link/url_column
//= require ./locmare/filer/body/file_body/file_item/caption/default/link/none
//= require ./locmare/filer/body/file_body/file_item/caption/template
//= require ./locmare/filer/body/file_body/file_item/caption/none
//= require ./locmare/filer/body/file_body/file_item/summary
//= require ./locmare/filer/body/file_body/file_item/summary/base
//= require ./locmare/filer/body/file_body/file_item/summary/template
//= require ./locmare/filer/body/file_body/file_item/summary/none
//= require ./locmare/filer/body/file_body/file_item/icon
//= require ./locmare/filer/body/file_body/file_item/icon/base
//= require ./locmare/filer/body/file_body/file_item/icon/default
//= require ./locmare/filer/body/file_body/file_item/icon/none
//= require ./locmare/filer/body/file_body/file_item/date
//= require ./locmare/filer/body/file_body/file_item/date/base
//= require ./locmare/filer/body/file_body/file_item/date/default
//= require ./locmare/filer/body/file_body/file_item/date/none
//= require ./locmare/filer/body/file_body/file_item/edit
//= require ./locmare/filer/body/file_body/file_item/edit/base
//= require ./locmare/filer/body/file_body/file_item/edit/default
//= require ./locmare/filer/body/file_body/file_item/edit/none
//= require ./locmare/filer/body/file_body/file_item/edit/account
//= require ./locmare/filer/body/file_body/file_item/edit/template
//= require ./locmare/profiler
//= require ./locmare/profiler/header
//= require ./locmare/profiler/column
//= require ./locmare/profiler/column/base
//= require ./locmare/profiler/column/default
//= require ./locmare/profiler/column/date
//= require ./locmare/profiler/column/source
//= require ./locmare/profiler/column/extend
//= require ./locmare/profiler/column/extend/extend_column
//= require ./locmare/profiler/column/json
//= require ./locmare/profiler/association
//= require ./locmare/profiler/association/belongs_to
//= require ./locmare/profiler/association/has_many
//= require ./locmare/profiler/association/has_one
//= require ./locmare/form
//= require ./locmare/form/field
//= require ./locmare/form/extend_field
//= require ./locmare/form/field/label
//= require ./locmare/form/field/label/label
//= require ./locmare/form/field/tag
//= require ./locmare/form/field/tag/base
//= require ./locmare/form/field/tag/text
//= require ./locmare/form/field/tag/number
//= require ./locmare/form/field/tag/text_area
//= require ./locmare/form/field/tag/select
//= require ./locmare/form/field/tag/hidden
//= require ./locmare/form/field/helper
//= require ./locmare/form/field/helper/base
//= require ./locmare/form/field/helper/size
//= require ./locmare/form/field/helper/tail_angle
//= require ./locmare/form/field/helper/color
//= require ./locmare/form/field/helper/popup
//= require ./locmare/bucket
//= require ./locmare/list_group
//= require ./locmare/list_group/lib
//= require ./locmare/list_group/lib/pager
//= require ./locmare/list_group/list/base
//= require ./locmare/list_group/list/public
//= require ./locmare/list_group/list/private
//= require ./locmare/list_group/list/system_resource
//= require ./locmare/list_group/list/filter
//= require ./locmare/list_group/list/through_filter
//= require ./locmare/list_group/list/foreign_filter
//= require ./locmare/list_group/list/play
//= require ./peta/peta
//= require ./peta/item
//= require ./peta/owner
//= require ./peta/system_resource
//= require ./peta/template
//= require ./peta/content
//= require ./peta/element_nestable_content
//= require ./peta/root
//= require ./peta/element
//= require ./peta/binder
//= require ./peta/leaf
//= require ./peta/editize
//= require ./pettanr
//= require ./routes
//= require ./controllers
//= require ./views
//= require ./editor
//= require ./editor/panel_editor
//= require ./editor/panel_editor/dock
//= require ./editor/panel_editor/root
//= require ./editor/panel_editor/element
//= require ./editor/panel_editor/element/boards
//= require ./editor/panel_editor/element/element_board
//= require ./editor/panel_editor/element/new_board
//= require ./editor/panel_editor/scenario
//= require ./i18n/translations
//= require_directory ./controllers
//= require_directory ./models
//= require_directory ./views
//= require_directory ./views/folders
//= require_directory ./views/artists
//= require_directory ./views/authors
//= require_directory ./views/balloons
//= require_directory ./views/comics
//= require_directory ./views/comic_stories
//= require_directory ./views/ground_colors
//= require_directory ./views/ground_pictures
//= require_directory ./views/home
//= require_directory ./views/layouts
//= require_directory ./views/licenses
//= require_directory ./views/license_groups
//= require_directory ./views/original_pictures
//= require_directory ./views/panels
//= require_directory ./views/panel_pictures
//= require_directory ./views/pictures
//= require_directory ./views/resource_pictures
//= require_directory ./views/scrolls
//= require_directory ./views/scroll_panels
//= require_directory ./views/sheets
//= require_directory ./views/sheet_panels
//= require_directory ./views/speeches
//= require_directory ./views/speech_balloons
//= require_directory ./views/speech_balloon_templates
//= require_directory ./views/stories
//= require_directory ./views/story_sheets
//= require_directory ./views/system_pictures
//= require_directory ./views/top
//= require_directory ./views/user_sessions
//= require_directory ./views/users
//= require_directory ./views/writing_formats
//= require_directory ./addons/pettanr_creative_commons_v30_licenses
//= require_directory ./addons/pettanr_pettan_commons_v01_licenses
//= require_directory ./addons/pettanr_pettan_protected_v01_licenses
//= require_directory ./addons/pettanr_pettan_public_v01_licenses
//= require_directory ./addons/pettanr_public_domain_v01_licenses
//= require_directory ./addons/pettanr_unknown_v01_licenses
//= require_directory ./addons/circle_speech_balloons
//= require_directory ./addons/plain_speech_balloons
//= require_directory ./addons/square_speech_balloons
//= require_directory ./addons/pettanr_simple_format
//= require ./pettanr/picture
//= require ./pettanr/pettan_imager
//= require ./pettanr/operator
//= require ./pettanr/action_filter
//= require ./pettanr/proxy
//= require ./pettanr/cache
//= require ./backbone.fetch-cache
//= require main
