class PettanrSpeechBalloonTemplate
  #keys: speech_balloon_template_id
  #values: engine_name
  @speech_balloon_templates = {}
  
  #keys engine_name :ex. 'circle_speech_balloon'
  #values: SpeechBalloon class :ex.PettanrCircleSpeechBalloon
  @scripts = {}
  
  #keys engine_name :ex. 'circle_speech_balloon'
  #values: speech_balloon_template_id
  @engine_names = {}
  
  @load = (div) ->
    $('div', div).map ->
      id = parseInt($(@).attr('speech_balloon_template_id'))
      engine_name = $(@).attr('engine_name')
      settings = JSON.parse($(@).attr('settings'))
      PettanrSpeechBalloonTemplate.speech_balloon_templates[id] = {
        engine_name: engine_name, 
        settings: settings
      }
      PettanrSpeechBalloonTemplate.engine_names[engine_name] = id
  
  @row = (speech_balloon_template_id) ->
    PettanrSpeechBalloonTemplate.speech_balloon_templates[speech_balloon_template_id]
  
  @engine_name = (speech_balloon_template_id) ->
    row = PettanrSpeechBalloonTemplate.row(speech_balloon_template_id)
    row.engine_name
  
  @settings = (speech_balloon_template_id) ->
    row = PettanrSpeechBalloonTemplate.row(speech_balloon_template_id)
    row.settings
  
  @id = (engine_name) ->
    PettanrSpeechBalloonTemplate.engine_names[engine_name]
  
  @add_helper = (speech_balloon_template_id, opt) ->
    engine_name = PettanrSpeechBalloonTemplate.engine_name
    PettanrSpeechBalloonTemplate.scripts[engine_name].add_helper(opt)
  
@PettanrSpeechBalloonTemplate = PettanrSpeechBalloonTemplate
