class Manifest.ModelModule.AssociationModule.HasMany extends ManifestBase.NameValues
  
  set_default: () ->
    super()
    @values['item_name'] ||= Manifest.manifest().singularize(@name)
    @values['foreign_key'] ||= @parent.item_name() + '_id'
    
  init: () ->
    super()
    @item_name = @values['item_name']
    @foreign_key = @values['foreign_key']
    @through = @values['through']
  
  is_through: () ->
    !@through
  
  model: () ->
    Manifest.item_name_to_model(@item_name)
  
  association_name: () ->
    @parent.association_name
  
