class Pettanr.SpeechBalloonTemplate extends Peta.Template
  url: '/speech_balloon_templates/'
  
  @singular: () ->
    'SpeechBalloonTemplate'
  
  @plural: () ->
    'SpeechBalloonTemplates'
  
  defaults: {
    id: null
  } 
  
  system_picture: () ->
    new Pettanr.SystemPicture({id: @get('system_picture_id')})
  
  symbol_option: () ->
    i = @system_picture()
    i.fetch({cache: true}).done =>
      @trigger('ready:symbol', i.tmb_opt_img_tag())
  
  parsed_settings: () ->
    JSON.parse(@get('settings'))
  
  initialize: () ->
    if @id
      @url = @url + @id
    
