class Pettanr.Views.GroundPicture.Summary extends Pettanr.Views.Common.Summary
  
  initialize: (options) ->
    super(options)
    @item = options.item
    @load()
  
  load: () ->
    @picture = @item.picture()
    @picture.fetch({cache: true}).done =>
      @credit = @picture.credit_view(false)
      panel = @item.panel()
      panel.fetch({cache: true}).done =>
        @panel_icon = new Pettanr.Views.Common.Icon({item: panel, half: true})
        @listenTo(@panel_icon, 'click', @panel_click)
        @trigger('ready')
  
  render: () ->
    this.$el.html('')
    this.$el.append(@credit.render().el)
    this.$el.append(@panel_icon.render().el)
    this
  
  panel_click: () ->
    @trigger('http_get', @panel_icon.url())
  
