class Pettanr.Views.SpeechBalloon.ElementSymbol extends Backbone.View
  tagName: 'div'
  className: 'elements-tab-face-icon'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    speech_balloon_template = @element.speech_balloon_template()
    speech_balloon_template.fetch({cache: true}).done =>
      system_picture = speech_balloon_template.system_picture()
      system_picture.fetch({cache: true}).done =>
        img = system_picture.tmb_opt_img_tag()
        this.$el.html(img.render().el)
    this
  
class Pettanr.Views.SpeechBalloon.ElementFace extends Backbone.View
  tagName: 'div'
  className: 'elements-tab'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    symbol = new Pettanr.Views.SpeechBalloon.ElementSymbol({element: @element})
    this.$el.append(symbol.render().el)
    rb = new Tag.RowBreak()
    this.$el.append(rb.render().el)
    this
  
