class AddSystemPictureIdOnResourcePictureData < ActiveRecord::Migration
  def up
    ResourcePicture.all.each do |i|
      if i.system_picture_id == 0 or i.system_picture_id.blank?
        i.system_picture_id = i.license.system_picture_id
        s = JSON.parse i.license_group_settings
        if s['resize']
          s.delete 'resize'
          i.license_group_settings = s.to_json
        end
        s = JSON.parse i.license_settings
        if s['system_picture_id']
          s.delete 'system_picture_id'
          i.license_settings = s.to_json
        end
        i.boosts 'post'
        i.save!
      end
    end
    Picture.all.each do |i|
      if i.system_picture_id == 0 or i.system_picture_id.blank?
        i.system_picture_id = i.license.system_picture_id
        s = JSON.parse i.license_group_settings
        if s['resize']
          s.delete 'resize'
          i.license_group_settings = s.to_json
        end
        s = JSON.parse i.license_settings
        if s['system_picture_id']
          s.delete 'system_picture_id'
          i.license_settings = s.to_json
        end
        i.boosts 'post'
        i.save! if i.original_picture
      end
    end
  end

  def down
  end
end
