require_dependency "editor/dock/tab/label/bay"
require_dependency "editor/dock/tab/body/bay"
module Editor
  module EditorModule
    module DockModule
      class Bay < Tab
        attr_accessor :template_name
        def initialize parent, index, name
          super
          @template_name = self.template_dir
        end
        
        def dock
          @parent
        end
        
        def root_item
          @parent.root_item
        end
        
        def dock_template_dir
          self.dock.template_dir
        end
        
        def template_dir
          self.dock_template_dir + 'bay/'
        end
        
        def labels_template_name
          self.dock_template_dir + 'board_labels'
        end
        
        def bodys_template_name
          self.dock_template_dir + 'board_bodys'
        end
        
        def dom_id
          @parent.dom_id + '-bay-' + self.name
        end
        
        def dom_class
          @parent.dom_class + '-bay'
        end
        
        def dom_labels_class
          self.dom_class + '-labels'
        end
        
      end
      
    end
  end
end
