module LocalManifest
  module FormModule
    module UseModule
      module FieldModule
        module TagModule
          class Base < ManifestBase::TypeArgs
            attr :options
            
            def set_default
              super
              @args['options'] ||= {}
            end
            
            def init
              super
              @options = @args['options']
            end
            
            def form_name
              @parent.form.name
            end
            
            def use_name
              @parent.use_name
            end
            
            def field_name
              @parent.name
            end
            
          end
          
        end
      end
    end
  end
end
