namespace :licenses do
  desc "Import json format license data in license engine"
  task :import => :environment do
    licenses = Manifest.manifest.system_resources.templates['license_group']
    licenses.template_items.each do |klass, name|
      puts name + "\n"
      system 'rake ' + name + ':import'
    end
  end
  
  desc "Copy migration file for license "
  task :install => :environment do
    licenses = Manifest.manifest.system_resources.templates['license_group']
    licenses.template_items.each do |klass, name|
      puts name + "\n"
      system 'rake ' + name + ':install:migrations'
    end
    puts "run 'rake db:migrate' if you can migrate database\n"
  end
end
